package fr.plil.sio.examen.api;

/**
 * A comment is made by an reporter (i.e. an owner) on ANY animal 
 * (not only the ones he owns).
 * An reporter can have zero, one or more comments on any animal (i.e. it can
 * exists several comments from the same reporter on the same animal).
 * An animal can have zero, one or more comments by any reporter (i.e. it can
 * exists several comments from the same reporter on the same animal).
 * 
 * TODO: complete the classes in API to support comment serialization in the 
 * database.
 */
public class Comment {
    
    private Owner reporter;
    
    private Animal animal;
    
    private String message;
}
